Deals
Add partner on a deal
Adding a partner with a specific role on a deal will make the deal available for the partner on his partner portal.
Use the isSource property to define whether the partner is also the source of the deal or not. If true, the partner is defined is defined as the source of the deal, no
matter what the previous source was.
POST
/
v3
/
deals
/
{dealId}
/
partners
Add partner on a deal
curl --request POST \
--url https://api.example.com/v3/deals/{dealId}/partners \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"dealId": 123,
"partnerId": 123,
"partnerTypeId": 123,
"isSource": true,
"useDefaultRewards": true
}
'import requests
url = "https://api.example.com/v3/deals/{dealId}/partners"
payload = {
"dealId": 123,
"partnerId": 123,
"partnerTypeId": 123,
"isSource": True,
"useDefaultRewards": True
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
dealId: 123,
partnerId: 123,
partnerTypeId: 123,
isSource: true,
useDefaultRewards: true
})
};
fetch('https://api.example.com/v3/deals/{dealId}/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"dealId": 123,
"userPartnerOwnerId": 123,
"userPartnerOwnerName": "<string>",
"userPartnerFirstName": "<string>",
"userPartnerLastName": "<string>",
"userPartnerEmail": "<string>",
"userPartnerJobTitle": "<string>",
"userPartnerPhoneNumber": "<string>",
"userPartnerLinkedInProfileUrl": "<string>",
"partnerId": 123,
"partnerTypeId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"partnerName": "<string>",
"partnerTypeName": "<string>"
}Path Parameters
The existing deal ID to add the partner on.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
200 - application/json
Success
Add partner on a deal
